<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: percent_rank</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for percent_rank {SparkR}"><tr><td>percent_rank {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>percent_rank</h2>

<h3>Description</h3>

<p>Window function: returns the relative rank (i.e. percentile) of rows within a window partition.
</p>


<h3>Usage</h3>

<pre>
## S4 method for signature 'missing'
percent_rank()

percent_rank(x)
</pre>


<h3>Details</h3>

<p>This is computed by:
</p>
<p>(rank of row in its partition - 1) / (number of rows in the partition - 1)
</p>
<p>This is equivalent to the PERCENT_RANK function in SQL.
</p>


<h3>See Also</h3>

<p>Other window_funcs: <code><a href="cume_dist.html">cume_dist</a></code>,
<code><a href="cume_dist.html">cume_dist</a></code>; <code><a href="dense_rank.html">dense_rank</a></code>,
<code><a href="dense_rank.html">dense_rank</a></code>; <code><a href="lag.html">lag</a></code>,
<code><a href="lag.html">lag</a></code>; <code><a href="lead.html">lead</a></code>,
<code><a href="lead.html">lead</a></code>; <code><a href="ntile.html">ntile</a></code>,
<code><a href="ntile.html">ntile</a></code>; <code><a href="rank.html">rank</a></code>,
<code><a href="rank.html">rank</a></code>; <code><a href="row_number.html">row_number</a></code>,
<code><a href="row_number.html">row_number</a></code>
</p>


<h3>Examples</h3>

<pre>
## Not run: percent_rank()
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
